Subject: bug#16503: 24.3; make-frame's user-position doesn't work

From: martin rudalics <[email-masked]>
Date: Thu, 15 Aug 2019 10:13:37 +0200

>> Issuing the following expression:
 >>     (make-frame '((user-position . t) (left . 100) (top . 100)))
 >> creates a new frame with only a program-specified position in the
 >> WM_NORMAL_HINT, instead of a user-specified position.
 >>
 >> I started noticing this in the emacs 24.x series, but didn't track down
 >> the cause of the ultimate problem until now.  The above worked in emacs 23.x.
 >
 > (I'm going through old bug reports that have unfortunately gotten no
 > responses yet.)
 >
 > I haven't looked at the low-level values passed here, but eval-ing that
 > form seems to do what you'd expect -- opening a frame at 100x100 (in
 > Emacs 27, at least).
 >
 > Has this started working again, or if not -- do you have a recipe that
 > will display the bug?

Window managers are allowd to ingore normal hints, so YMMV.  I fail to
understand why gui_figure_window_size would ignore 'user-position' for
the OP, though.

martin